Bug 847 - Remove job from samba print queue
Remove job from samba print queue
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.0
All FreeBSD
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-30 19:07 UTC by Daniel (The recipient's e-mail address was not found in the recipient's e-mail system.)
Modified: 2005-11-14 09:28 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel (The recipient's e-mail address was not found in the recipient's e-mail system.) 2003-11-30 19:07:54 UTC
I have just installed and testing out samba3.00pre3, knowing that the team has 
resolved broken print queue (#660) bug. Now, I can see the queue but I can't 
take a step further to delete the queue even though I have put myself 
as 'printer admin' and unix admin group. I remember this was a known problem 
in samba version 2 before.

I have tried with freebsd lpc daemon and LPRng spooler and the results are 
different though. With LPRng, I can't delete samba queue at all. With freebsd 
lpc daemon, I managed to remove the job from samba queue but strange enough, 
the job stays on unix queue.

It would be great if this problem can be resolved before the stable release of 
3.0.1. Thanks.
Comment 1 Gerald (Jerry) Carter 2003-11-30 20:39:43 UTC
I spent time working on this code recently while 
on bug 770.  I have successfully used cups and lprng 
backends to remove jobs from a print queue (windows NT,2k, & XP 
clients).  

What you might be seeing is a caching issue.  Try setting 
"lpq cache time = 0" and see what happens.  

Beyond that I need level 10 debug logs of submitting a print job 
and trying to remove it.  We probably will not hold up 3.0.1 
for this since we a pretty close to a release candidate
(and given that i've tested this recently with passing results).
Comment 2 Gerald (Jerry) Carter 2004-01-14 23:04:22 UTC
this should all be working now for 3.0.2rc1
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:24:48 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:28:43 UTC
database cleanup